describe('TemplateEngine', function(){

    var TemplateEngine = require('../lib/TemplateEngine.js').TemplateEngine;
    var te = null;

    it('creation', function(){
        var te = new TemplateEngine();
        expect(te).toBeTruthy();
    });

    it('setting port', function(){
        var te1 = new TemplateEngine(8081);
        expect(te1.getPort()).toEqual(8081);

        var te2 = new TemplateEngine();
        te2.setPort(8081);
        expect(te2.getPort()).toEqual(8081);

        var te3 = new TemplateEngine();
        expect(te3.getPort()).toEqual(8080);
    });

    it('creating server', function(){

        var http = require('http');
        var te = new TemplateEngine(8080);
        te.setTemplatePath('examples/templates/');        
        te.create();
        
        //TODO problem z testowaniem - node wywala bez mozliwosci przechwycenia wyjatku
    });

});